# TODO
# - lang tag /usr/share/python*/site-packages/babel/localedata/*
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

%define		pkgname	babel
Summary:	Babel Python library
Summary(pl.UTF-8):	Biblioteka Babel do Pythona
Name:		python-%{pkgname}
Version:	0.9.6
Release:	2
License:	BSD-like
Group:		Development/Languages/Python
Source0:	ftp://ftp.edgewall.com/pub/babel/Babel-%{version}.tar.gz
# Source0-md5:	f0edcad03dfdb5505f337ef1a7690325
URL:		http://babel.edgewall.org/
BuildRequires:	python-devel
BuildRequires:	python-devel-tools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
Obsoletes:	python-Babel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babel is a Python library that provides an integrated collection of
utilities that assist with internationalizing and localizing Python
applications (in particular web-based applications).

%package apidocs
Summary:	Python Babel API documentation
Group:		Documentation

%description apidocs
Python Babel API documentation.

%prep
%setup -q -n Babel-%{version}

mv doc/api apidoc

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README.txt doc/*
%attr(755,root,root) %{_bindir}/pybabel
%dir %{py_sitescriptdir}/babel
%{py_sitescriptdir}/babel/*.dat
%{py_sitescriptdir}/babel/*.py[co]
%dir %{py_sitescriptdir}/babel/localedata
# TODO: %lang tag
%{py_sitescriptdir}/babel/localedata/*.dat
%dir %{py_sitescriptdir}/babel/messages
%{py_sitescriptdir}/babel/messages/*.py[co]
%{py_sitescriptdir}/*.egg-info

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc apidoc/*
%endif
%changelog
* Sat Mar 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-babel.git;a=log;h=master

* Sat Mar 02 2013 Elan Ruusamäe <glen@delfi.ee> 8b5a064
rebuild with pythonegg deps

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 48e4aff
- Up to 0.9.6

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> 4fcdb98
- setup needs pdb module via doctest

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> 67608b9
- release 3

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> 1caefaa
- egg installed on py2.4 as well

* Fri Jul 16 2010 shadzik <shadzik@pld-linux.org> a8df3e8
- rel 2

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> bc10f8d
- verbose files

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> 8a01110
- apidocs subpackage, clean py sources

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> c33e1e2
- rename to python-babel (match module name)

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> 0060fa7
- kill leftovers from template spec

* Mon Jun 14 2010 Caleb Maclennan <caleb@alerque.com> e7836e5
- Up to 0.9.5

* Mon Nov 03 2008 witekfl <witekfl@pld-linux.org> 9b3d2ae
- new

